MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000386Soldat Dedicated ServerScripting Corepublic2013-08-14 18:102013-12-26 00:07
ReporterDorkeyDear 
Assigned ToExHunter 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.7.7 
Summary0000386: SC3 TTeam.ID returns player identifier in TTeam.OnJoin event
DescriptionIn the TTeam.OnJoin event, TTeam.ID returns the player identifier that joined the team. It should be the team number/identifier (0-5).
Steps To Reproduceprocedure OnJoinTeam(const Player: TPlayer; const Team: TTeam);
begin
    WriteLn('Player.Team=' + InttoStr(Player.Team));
    WriteLn('Team.Id=' + InttoStr(Team.Id));
    WriteLn('');
end;

var i: byte;
begin
    for i := 0 to 5 do Game.Teams[i].OnJoin := @OnJoinTeam;
end.

-----

Join the empty game on any team. It will say Team.Id=1. Adding bots, and /setteam`ing them shows this applies for bots and other player ids too.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000415resolvedExHunter Game.Teams[i].OnJoin is replacing Game.OnJoin and is nto working as intended 

-  Notes
(0002098)
ExHunter (developer)
2013-12-26 00:07

Was fixed with bug 0000415 together.

- Issue History
Date Modified Username Field Change
2013-08-14 18:10 DorkeyDear New Issue
2013-09-09 15:45 Falcon Status new => acknowledged
2013-12-26 00:06 ExHunter Relationship added child of 0000415
2013-12-26 00:07 ExHunter Assigned To => ExHunter
2013-12-26 00:07 ExHunter Status acknowledged => assigned
2013-12-26 00:07 ExHunter Note Added: 0002098
2013-12-26 00:07 ExHunter Status assigned => resolved
2013-12-26 00:07 ExHunter Fixed in Version => 2.7.7
2013-12-26 00:07 ExHunter Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker